Bug 247644 - misc/xfce4-weather-plugin: Switch to the 2.0 API for locationforecast
Summary: misc/xfce4-weather-plugin: Switch to the 2.0 API for locationforecast
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-xfce (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-29 19:03 UTC by Olivier Duchateau
Modified: 2020-07-04 09:01 UTC (History)
1 user (show)

See Also:
madpilot: maintainer-feedback+
madpilot: merge-quarterly+


Attachments
Switch to the 2.0 API for locationforecast (2.26 KB, patch)
2020-06-29 19:03 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2020-06-29 19:03:57 UTC
Created attachment 216045 [details]
Switch to the 2.0 API for locationforecast

In summary dialog with the 1.9 API (for locationforecast) there is warning because it is deprecated. This patch fixes this issue.

I also submitted merge request [1] to upstream.

[1] https://gitlab.xfce.org/panel-plugins/xfce4-weather-plugin/-/merge_requests/4
Comment 1 Guido Falsi freebsd_committer 2020-07-02 13:31:12 UTC
Testing this.

Thanks!
Comment 2 commit-hook freebsd_committer 2020-07-03 22:07:45 UTC
A commit references this bug:

Author: madpilot
Date: Fri Jul  3 22:06:53 UTC 2020
New revision: 541151
URL: https://svnweb.freebsd.org/changeset/ports/541151

Log:
  Switch to the 2.0 API for locationforecast.

  PR:		247644
  Submitted by:	Olivier Duchateau <duchateau.olivier@gmail.com>

Changes:
  head/misc/xfce4-weather-plugin/Makefile
  head/misc/xfce4-weather-plugin/files/
  head/misc/xfce4-weather-plugin/files/patch-panel-plugin_weather.c
  head/misc/xfce4-weather-plugin/files/patch-panel-plugin_weather.h
Comment 3 commit-hook freebsd_committer 2020-07-04 09:00:57 UTC
A commit references this bug:

Author: madpilot
Date: Sat Jul  4 09:00:51 UTC 2020
New revision: 541179
URL: https://svnweb.freebsd.org/changeset/ports/541179

Log:
  MFH: r541151

  Switch to the 2.0 API for locationforecast.

  PR:		247644
  Submitted by:	Olivier Duchateau <duchateau.olivier@gmail.com>

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/misc/xfce4-weather-plugin/Makefile
  branches/2020Q3/misc/xfce4-weather-plugin/files/
Comment 4 Guido Falsi freebsd_committer 2020-07-04 09:01:55 UTC
Committed and merged. Thanks!